require_relative './../spec_helper'

describe 'Resources Plugins Jenkins' do
    describe file('/home/k8s/resources/pluginsite') do
        it { should be_directory }
        it { should be_owned_by 'k8s' }
        it { should be_readable }
    end
    describe file('/home/k8s/resources/pluginsite/ingress-tls.yaml') do
        it { should be_file }
        it { should be_owned_by 'k8s' }
        it { should be_readable }
        its(:content_as_yaml){
            should include('kind' => 'Ingress')
        }
    end
    describe file('/home/k8s/resources/pluginsite/configmap.yaml') do
        it { should be_file }
        it { should be_owned_by 'k8s' }
        it { should be_readable }
        its(:content_as_yaml){
            should include('kind' => 'ConfigMap')
        }
    end
    describe file('/home/k8s/resources/pluginsite/deployment.yaml') do
        it { should be_file }
        it { should be_owned_by 'k8s' }
        it { should be_readable }
        its(:content_as_yaml){
            should include('kind' => 'Deployment')
        }
    end
    describe file('/home/k8s/resources/pluginsite/service.yaml') do
        it { should be_file }
        it { should be_owned_by 'k8s' }
        it { should be_readable }
        its(:content_as_yaml){
            should include('kind' => 'Service')
        }
    end
end
